This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 654593

Summary: cannot migrate
Product: [Fedora] Fedora Reporter: Ferry Huberts <mailings>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-24 16:57:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ferry Huberts 2010-11-18 05:57:38 EST
Description of problem:
Cannot migrate my VMs

Version-Release number of selected component (if applicable):
libvirt-0.8.3-2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. install a VM (RHEL6 x86_64) on host A (storage), on an iSCSI volume on my QNAP 859
2. run the VM
3. try to migrate it to host B (paul) through virt-manager
4. fail
  
Actual results:

messages from virt-manager:
---------------------------
Unable to migrate guest:
 Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/migrate.py", line 457, in _async_migrate
    vm.migrate(dstconn, migrate_uri, rate, live, secure)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1395, in migrate
    self._backend.migrate(destconn.vmm, flags, newname, interface, rate)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 518, in migrate
    if ret is None:raise libvirtError('virDomainMigrate() failed', dom=self)
libvirtError: operation failed: Migration unexpectedly failed


messages from host A:
---------------------
Nov 18 11:49:49 storage libvirtd: 11:49:49.691: error : qemuDomainWaitForMigrationComplete:5119 : operation failed: Migration unexpectedly failed




messages from host B:
---------------------
Nov 18 11:49:49 paul kernel: [67769.839459] device vnet0 entered promiscuous mode
Nov 18 11:49:49 paul kernel: [67769.839488] br0: new device vnet0 does not support netpoll (disabling)
Nov 18 11:49:49 paul kernel: [67769.840456] br0: topology change detected, sending tcn bpdu
Nov 18 11:49:49 paul kernel: [67769.840460] br0: port 2(vnet0) entering forwarding state
Nov 18 11:49:49 paul kernel: [67769.840463] br0: port 2(vnet0) entering forwarding state
Nov 18 11:49:49 paul qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
Nov 18 11:49:49 paul kernel: [67769.913331] kvm: 14892: cpu0 unhandled wrmsr: 0x198 data 0
Nov 18 11:49:49 paul kernel: [67769.913366] kvm: 14892: cpu1 unhandled wrmsr: 0x198 data 0
Nov 18 11:49:49 paul libvirtd: 11:49:49.745: error : qemudDomainGetInfo:4921 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:49:49 paul libvirtd: 11:49:49.748: error : qemudDomainGetInfo:4921 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:49:49 paul kernel: [67770.152041] br0: port 2(vnet0) entering forwarding state
Nov 18 11:49:49 paul avahi-daemon[1594]: Withdrawing workstation service for vnet0.
Nov 18 11:49:49 paul kernel: [67770.157314] device vnet0 left promiscuous mode
Nov 18 11:49:49 paul kernel: [67770.157318] br0: port 2(vnet0) entering disabled state





when I do a 'touch /etc/qemu/krb5.tab' I get:
---------------------------------------------
Nov 18 11:53:07 paul kernel: [67968.104299] device vnet0 entered promiscuous mode
Nov 18 11:53:07 paul kernel: [67968.104331] br0: new device vnet0 does not support netpoll (disabling)
Nov 18 11:53:07 paul kernel: [67968.105277] br0: topology change detected, sending tcn bpdu
Nov 18 11:53:07 paul kernel: [67968.105281] br0: port 2(vnet0) entering forwarding state
Nov 18 11:53:07 paul kernel: [67968.105284] br0: port 2(vnet0) entering forwarding state
Nov 18 11:53:07 paul kernel: [67968.173069] kvm: 15236: cpu0 unhandled wrmsr: 0x198 data 0
Nov 18 11:53:07 paul kernel: [67968.173094] kvm: 15236: cpu1 unhandled wrmsr: 0x198 data 0
Nov 18 11:53:08 paul libvirtd: 11:53:08.009: error : qemudDomainBlockStats:9522 : Requested operation is not valid: domain is not running
Nov 18 11:53:08 paul libvirtd: 11:53:08.009: error : qemudDomainBlockStats:9522 : Requested operation is not valid: domain is not running
Nov 18 11:53:08 paul libvirtd: 11:53:08.011: error : qemudDomainBlockStats:9513 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.012: error : qemudDomainInterfaceStats:9585 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.013: error : qemudDomainBlockStats:9513 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.014: error : qemudDomainDumpXML:6743 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.017: error : qemudDomainInterfaceStats:9585 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.019: error : qemudDomainDumpXML:6743 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.021: error : qemudDomainGetInfo:4921 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul libvirtd: 11:53:08.040: error : qemudDomainGetInfo:4921 : Domain not found: no domain with matching uuid 'da208688-e03e-229c-5c74-7f56ea7ffff7'
Nov 18 11:53:08 paul kernel: [67968.409897] br0: port 2(vnet0) entering forwarding state
Nov 18 11:53:08 paul avahi-daemon[1594]: Withdrawing workstation service for vnet0.
Nov 18 11:53:08 paul kernel: [67968.418442] device vnet0 left promiscuous mode
Nov 18 11:53:08 paul kernel: [67968.418447] br0: port 2(vnet0) entering disabled state



Expected results:
success

Additional info:

both hosts are connected in virt-manager by SSH

I applied the path from https://bugzilla.redhat.com/show_bug.cgi?id=647241 to be able to install to an iSCSI volume
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:57:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 14:00:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:57:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:58:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:03:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-01-24 16:57:23 EST
F14 is EOL, please reopen if this is still relevant in a more recent fedora.